summaryrefslogtreecommitdiffstats
path: root/ulogd.init
diff options
context:
space:
mode:
authorPatrick McHardy <kaber@trash.net>2008-05-18 18:35:35 +0200
committerPatrick McHardy <kaber@trash.net>2008-05-18 18:35:35 +0200
commit835110044bd970518e10b28348ce6619818ce363 (patch)
tree76abdc04a3b9b8a29e3daded34cb2779a939df9b /ulogd.init
parentdce17ab4526920f1930f1fee4245ea66c33093ec (diff)
Remove obsolete patches and files and move ulogd to repository top-level directory
Diffstat (limited to 'ulogd.init')
-rwxr-xr-xulogd.init61
1 files changed, 61 insertions, 0 deletions
diff --git a/ulogd.init b/ulogd.init
new file mode 100755
index 0000000..b678652
--- /dev/null
+++ b/ulogd.init
@@ -0,0 +1,61 @@
+#!/bin/sh
+#
+# chkconfig: 345 81 19
+# description: ulogd is the userspace logging daemon for netfilter/iptables
+#
+
+
+. /etc/rc.d/init.d/functions
+
+
+function start()
+{
+ printf "Starting %s: " "ulogd"
+ daemon /usr/sbin/ulogd -d
+ echo
+ touch /var/lock/subsys/ulogd
+}
+
+
+function stop()
+{
+ printf "Stopping %s: " "ulogd"
+ killproc ulogd
+ echo
+ rm -f /var/lock/subsys/ulogd
+}
+
+
+function reload()
+{
+ pid=`pidof ulogd`
+ if [ "x$pid" != "x" ]; then
+ kill -HUP $pid 2>/dev/null
+ fi
+ touch /var/lock/subsys/ulogd
+}
+
+
+case "$1" in
+ start)
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ restart)
+ stop
+ start
+ ;;
+ reload)
+ reload
+ ;;
+ status)
+ status ulogd
+ ;;
+ *)
+ printf "Usage: %s {start|stop|status|restart|reload}\n" "ulogd"
+ exit 1
+esac
+
+exit 0